OpenSSL 1.0.2

At the end of this year support for OpenSSL 1.0.1 will end. InterSystems has started the process to move to OpenSSL 1.0.2 and use the 1/28/2016 release (1.0.2f) for verification and product inclusion. I will update this post once InterSystems  decided which versions will receive  support for OpenSSL 1.0.2.

Comments

InterSystems is going to use 1.0.2g (the now current version of OpenSSL starting with 2016.3. As we get close to the Field Test of 2016.3 the exact version might get updated. 1.0.2g will will introduce some backward incompatibilities related to SSLv2 and SSLv3. Once we have accessed how are we going to address those, I will post this information here and on the Compatibility Blog.